<!doctype html>
<html lang="en">
<head>
<title>86-reproducible-buster-bullseye-bookworm-where-w</title>
<meta name="generator" content="Etherpad">
<meta name="author" content="Etherpad">
<meta name="changedby" content="Etherpad">
<meta charset="utf-8">
<style>
ol {
  counter-reset: item;
}

ol > li {
  counter-increment: item;
}

ol ol > li {
  display: block;
}

ol > li {
  display: block;
}

ol > li:before {
  content: counters(item, ".") ". ";
}

ol ol > li:before {
  content: counters(item, ".") ". ";
  margin-left: -20px;
}

ul.indent {
  list-style-type: none;
}


</style>
</head>
<body>
<span class="a_N1eVW3guRpivQu37" title="a_N1eVW3guRpivQu37" style="background-color:#a283f6">Holger Information: I won't be here for the Q&A after the talk tonight (it's late in my timezone) but I will be there for the Q&A after Vagrant's talk talk about Reproducible Builds at DebConf21, which is https://debconf21.debconf.org/talks/89-looking-forward-to-reproducible-builds on Saturday, August 28, 12:30 UTC</span><br><span class="a_N1eVW3guRpivQu37" title="a_N1eVW3guRpivQu37" style="background-color:#a283f6"></span><br><span class="a_N1eVW3guRpivQu37" title="a_N1eVW3guRpivQu37" style="background-color:#a283f6">Leave your question here.</span><br><span class="a_N1eVW3guRpivQu37" title="a_N1eVW3guRpivQu37" style="background-color:#a283f6"></span><br><span class="a_N1eVW3guRpivQu37" title="a_N1eVW3guRpivQu37" style="background-color:#a283f6">Question:</span><span class="a_iBA6vlxaZGyN5NBJ" title="a_iBA6vlxaZGyN5NBJ" style="background-color:#6a2fb4"></span><br><span class="a_iBA6vlxaZGyN5NBJ" title="a_iBA6vlxaZGyN5NBJ" style="background-color:#6a2fb4"></span><br><span class="a_iBA6vlxaZGyN5NBJ" title="a_iBA6vlxaZGyN5NBJ" style="background-color:#6a2fb4">Probably a silly question, but why don't developers just submit their source code and have a trusted Debian member compile them? It wouldn't be reproducible, but it wouldn't "need to be" to gain more trustworthiness in the short term.</span><span class="a_8RmG7WkfD1C13wfj" title="a_8RmG7WkfD1C13wfj" style="background-color:#0ea1ce"></span><br><span class="a_yX9EY5Ji7OcIqBtJ" title="a_yX9EY5Ji7OcIqBtJ" style="background-color:#2b0797"></span><br><span class="a_yX9EY5Ji7OcIqBtJ" title="a_yX9EY5Ji7OcIqBtJ" style="background-color:#2b0797">Answer (from bmwiedemann): this would just shift the problem of needing to trust someone and his build environment. People can still be hacked, subpoenaed or blackmailed and only with verifiable reproducible builds, others can notice. At SUSE we have an alarm system on our server room, RFID tokens for access, 2FA in many places and still, if someone wants to know if the binaries we built there from sources are what they should be, we cannot be 100% sure. Unless we verify with reproducible builds. Related to this topic: https://www.suse.com/c/?p=42014</span><span class="a_8RmG7WkfD1C13wfj" title="a_8RmG7WkfD1C13wfj" style="background-color:#0ea1ce"></span><br><span class="a_8RmG7WkfD1C13wfj" title="a_8RmG7WkfD1C13wfj" style="background-color:#0ea1ce"></span><br><span class="a_8RmG7WkfD1C13wfj" title="a_8RmG7WkfD1C13wfj" style="background-color:#0ea1ce">2. Question:</span><br><span class="a_8RmG7WkfD1C13wfj" title="a_8RmG7WkfD1C13wfj" style="background-color:#0ea1ce"></span><br><span class="a_8RmG7WkfD1C13wfj" title="a_8RmG7WkfD1C13wfj" style="background-color:#0ea1ce">Where can I find a description how to test the reproducibility at my local system? I want to do it e.g when a plattform like x386 isn't reproducible and amd64 is. I want to understand the problems with the reproducibility.</span><span class="a_LDWst3E0yAN6DPlC" title="a_LDWst3E0yAN6DPlC" style="background-color:#f5cf46"></span><br><span class="a_LDWst3E0yAN6DPlC" title="a_LDWst3E0yAN6DPlC" style="background-color:#f5cf46"></span><br><span class="a_LDWst3E0yAN6DPlC" title="a_LDWst3E0yAN6DPlC" style="background-color:#f5cf46">You can test reproducibility on your local system with reproducible-check from the devscripts pacakge on Debian systems. </span><br><span class="a_LDWst3E0yAN6DPlC" title="a_LDWst3E0yAN6DPlC" style="background-color:#f5cf46">You can test reproducibility at the package level with the reprotest tool. </span><br><span class="a_LDWst3E0yAN6DPlC" title="a_LDWst3E0yAN6DPlC" style="background-color:#f5cf46">You can also determine what is preventing a given package or project from being reproducible with diffoscope -> https://diffoscope.org/</span><span class="anonymous" title="anonymous"></span><br>
</body>
</html>
